Bug 221305 - RFE: anaconda should support an @Default pseudo-group in kickstart
RFE: anaconda should support an @Default pseudo-group in kickstart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 13:03 EST by Will Woods
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 12:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2007-01-03 13:03:23 EST
It would be extremely useful if you could specify "@default" in the %packages
section of a kickstart file to get the default package set that anaconda would
install if you clicked through the package selection screen without modifying
anything.

Actually, it would also be useful if the other install classes were exposed for
use in kickstart as well, but that might be a different bug.
Comment 1 Jeremy Katz 2007-01-03 14:13:11 EST
We definitely definitely definitely shouldn't have some pseudo @default group;
if something like this were to be done, it should be %packages --default or
somesuch.  Hackish overrides of @ lead to nothing but pain (... cf @Everything :-)

We can probably do this now that we inherit from the "default" install class. 
Really doing it nicely means getting kickstart to not be an install class
Comment 2 Will Woods 2007-01-03 15:00:47 EST
Okay, forget the pseudo-package-group idea. It's gross anyway. 

%packages --default would be a fine solution.
Comment 3 Chris Lumens 2007-01-19 16:29:05 EST
This will be supported in the next build of anaconda+pykickstart.  As is our
way, you actually have two options for specifying this.  First, you can just not
have any %packages section at all.  The install class's defaults will be
selected.  Second, you can do %packages --default if you want to be more
explicit about it.
Comment 4 Will Woods 2007-04-05 12:33:08 EDT
I wonder if the change in behavior for a missing %packages section will surprise
people. Personally I don't think it'll be an issue.

Anyway, this works like a charm. Thanks!

Note You need to log in before you can comment on or make changes to this bug.